/**
 * 页面加载初始化
 */
$(document).ready(function() {
	loadUE();
	loadToolbar();
	loadData();
});


/**
 * 加载页面布局
 */
function loadUE() {
	new MxtLayout({
		'id' : 'layout',
		'northArea' : {
			'id' : 'north',
			'height' : 40,
			'sprit' : false,
			'border' : false
		},
		'centerArea' : {
			'id' : 'center',
			'border' : false,
			'minHeight' : 20
		}
	});
}


function loadToolbar() {
	var toolbarArray = new Array();
	toolbarArray.push({//新建
		id : "newBtn",
		name : $.i18n('common.toolbar.new.label'),
		className : "ico16",
		click: createObjTeam
	});
	toolbarArray.push({//修改
		id : "modifyBtn",
		name : $.i18n('common.toolbar.update.label'),
		className : "ico16 editor_16",
		click: editObjTeam
	});
	toolbarArray.push({//删除
		id : "deleteBtn",
		name : $.i18n('common.toolbar.delete.label'),
		className : "ico16 del_16",
		click: deleteObjTeam
	});
	// 工具栏
	$("#toolbars").toolbar({
		toolbar : toolbarArray
	});
}

/**
 * 重新加载列表
 */
function searchByCondition(o) {
    $("#objTeamList").ajaxgridLoad(o);
}

var grid;
function loadData() {
	var colModels = new Array();
	colModels.push({
		display : 'objTeamId',
		name : 'id',
		value : 'id',
		domainId : 'orgAccountId',
		width : '4%',
		type : 'checkbox',
		isToggleHideShow : false
	});
	colModels.push({//名称
		display : $.i18n("common.name.label"),
		name : 'name',
		sortable : true,
		width : '20%'
	});
	colModels.push({//所属单位/部门
		display : $.i18n(includeLabel),
		name : 'selObjsStr',
		sortable : true,
		width : '40%'
	});
	colModels.push({//序号
		display : $.i18n("common.sort.label"),
		name : 'sortId',
		sortable : true,
		width : '5%'
	});
	colModels.push({
		display : $.i18n("common.description.label"),
		name : 'description',
		sortable : true,
		width : '30%'
	});

	//构造列表
    grid = $('#objTeamList').ajaxgrid({
       click: clickRow,
       dblclick: dbclickRow,
       colModel: colModels,
       height: 200,
       render : rend,
       showTableToggleBtn: true,
       parentId: $('.layout_center').eq(0).attr('id'),
       vChange: true,
       isHaveIframe:true,
       slideToggleBtn:true,
       onSuccess:function() {
       		loadDesc();
       },
       managerName : "govdocObjTeamManager",
       managerMethod : "findList"
    });
    
    var o = new Object();
    searchByCondition(o);
}

function rend(txt, data, r, c, col) {
	if (null == txt) {
		txt = "";
	}
	return txt;
}

function clickRow(data, rowIndex, colIndex) {
	editObjTeam("readonly", data.id);
}

function dbclickRow(data, rowIndex, colIndex) {
	editObjTeam("edit", data.id);
}

function createObjTeam() {
	loadDesc(edocObjTeamURL + "?method=createObjTeam");
}

function editObjTeam(flag, objTeamId) {
	if(!objTeamId) {
		var rows = grid.grid.getSelectRows();
		if(rows.length == 0) {
			$.alert(v3x.getMessage('edocLang.edoc_select_one'));
			return ;
		} else if(rows.length > 1) {
			$.alert(v3x.getMessage('edocLang.edoc_select_one'));
			return ;
		}
		flag = "edit";
		objTeamId = rows[0].id;
	}
	
	var aUrl = edocObjTeamURL + "?method=editObjTeam&flag=" + flag + "&id=" + objTeamId;
	loadDesc(aUrl);
}

function loadDesc(url, updown) {
	if($.trim(grid) != "" && $.trim(grid.p) != "") {
		if(!url) {
            url = "";
		} else {
			updown = "middle";
		}
		if(!updown) {
			updown = "down";
		}
		grid.grid.resizeGridUpDown(updown);
	}
	$('#summary').attr("src", url);
}

//刷新父页面
function reloadList() {
	var listObj = $("#objTeamList");
    if(listObj[0])  {//如果从列表中打开，则刷新列表
    	try {
    		searchByCondition(new Object());
    		loadDesc();
    	} catch(e) {
    		location.href = edocObjTeamURL + "?method=list";	
    	}
    } else {
    	location.href = edocObjTeamURL + "?method=list";
    }
}


function deleteObjTeam() {
	var rows = grid.grid.getSelectRows();
	if(rows.length == 0) {
		$.alert(v3x.getMessage('edocLang.edoc_select_one'));
		return ;
	}
	
	if(window.confirm(_("edocLang.edoc_del_confirm"))) {
		var ids = "";
		for(var i=0; i<rows.length; i++) {
			ids += rows[i].id + ",";
		}
		ids = ids.substring(0, ids.length - 1);
		document.location.href = edocObjTeamURL + '?method=deleteObjTeam&id=' + ids;
	}
}
